<?php

/*
• Skapa en array som lagrar information om ett antal valfria böcker. 
• Du ska alltså skapa en array som innehåller flera andra arrayer.
• Varje inre array lagrar titel, författare och en bildnamn 
• Skapa en webbsida som använder arrayen för att visa information om böckerna.
*/

$books = array(
    array(
        "title" => "HTML and CSS",
        "author" => "Jon Duckett",
        "image" => "html-and-css.jpeg"
    ),
    array(
        "title" => "JavaScript",    
        "author" => "Jon Duckett",
        "image" => "javascript.jpeg"
    ),
    array(
        "title" => "PHP & MySQL",
        "author" => "Jon Duckett",
        "image" => "php.jpeg"
    )
)

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Books</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
</head>
<body class="container">
    <h1 class="text-primary border-bottom border-primary">My Books</h1>
    <div class="row">
   
    <?php

        // Testkod för att se ifall arrayen har innehåll
        foreach($books as $book){
            echo "<pre>";
            // print_r($book);
            echo "</pre>";
        }

        foreach($books as $book){
            echo "<div class='col'>";
            echo "<h2>$book[title]</h2>";
            // echo '<h2>$book[title]</h2>'; // OBS! Variabelnamn skrivs ut
            echo "<h3>$book[author]</h3>";
            echo "<img src='images/$book[image]' 
                       alt='$book[title]' 
                       class='img-fluid' 
                       style='min-width:300px;'>"; 
            echo "</div>";
        }
    ?>
    
    </div> <!-- Grid end -->
</body>
</html>